import { IContentManager, IEditorCore } from '../../typings';
export declare class ContentManager extends IContentManager {
    protected _editorElement: HTMLElement;
    private _editor;
    constructor(element: HTMLElement, editor: IEditorCore);
    insertEmptyPara(): void;
    calcTextCount(): number;
    getContent(): string;
    getHtml(): string;
    setContent(content: string): void;
    setHtml(content: string): void;
    appendContent(content: string | string[], cb?: (para: HTMLElement) => void): void;
    insert(content: string | Node): void;
    delete(): void;
    update(content: string | Node): void;
    getParas(): HTMLElement[];
    getTextContent(): string[];
    private _insert;
    private _delete;
    private _update;
}
